Package opennlp.tools.util.normalizer

# Enum Class EmojiEntityType

java.lang.Object
java.lang.Enum<EmojiEntityType>
opennlp.tools.util.normalizer.EmojiEntityType

All Implemented Interfaces:
  `Serializable`, `Comparable<EmojiEntityType>`, `Constable`

public enum EmojiEntityType extends Enum<EmojiEntityType>
The coarse entity type of an annotated emoji, a small project-authored taxonomy assigned from the subgroup headers of the upstream Unicode `emoji-test.txt` (Emoji Keyboard/Display Test Data for UTS #51): for example the `face-smiling` and `face-concerned` subgroups map to `FACE` and `transport-ground` maps to `VEHICLE`. The subgroup a bundled record was derived from is cited in the notes column of `emoji-annotations.txt`, provenance-tagged `UCD:emoji-test`.

The set is deliberately coarse and grows with the bundled data; a new constant is a compatible addition. `FLAG` is assigned by the derived layer (regional-indicator and tag sequence decoding), never by a bundled row, so flag coverage does not depend on data rows.

See Also:
  - `EmojiCategory`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANIMAL`
  An animal, from the `animal-*` subgroups.
  `FACE`
  A face pictograph, from the `face-*` subgroups.
  `FLAG`
  A flag; assigned by the derived layer from the code point sequence itself.
  `FOOD`
  Food, from the `food-*` subgroups.
  `HEART`
  A heart pictograph, from the `heart` subgroup.
  `LANDMARK`
  A landmark or building, from the `place-*` subgroups.
  `VEHICLE`
  A vehicle, from the `transport-*` subgroups.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EmojiEntityType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EmojiEntityType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FACE

    public static final EmojiEntityType FACE
    A face pictograph, from the `face-*` subgroups.

  - ### HEART

    public static final EmojiEntityType HEART
    A heart pictograph, from the `heart` subgroup.

  - ### ANIMAL

    public static final EmojiEntityType ANIMAL
    An animal, from the `animal-*` subgroups.

  - ### FOOD

    public static final EmojiEntityType FOOD
    Food, from the `food-*` subgroups.

  - ### VEHICLE

    public static final EmojiEntityType VEHICLE
    A vehicle, from the `transport-*` subgroups.

  - ### LANDMARK

    public static final EmojiEntityType LANDMARK
    A landmark or building, from the `place-*` subgroups.

  - ### FLAG

    public static final EmojiEntityType FLAG
    A flag; assigned by the derived layer from the code point sequence itself.

- ## Method Details

  - ### values

    public static EmojiEntityType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EmojiEntityType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null